Subject: Re: [rrg] Some concerns about ILNP

From: Fred Baker <[email-masked]>
Date: Mon, 3 Aug 2009 06:58:08 -0400

FYI - I had some students at Beijing University of Post and Telegraph  
(BUPT) do an implementation of GSE using several approaches to this  
problem, one of which was ILNP. The key thing to the study was an  
agreed-to-be-weird routing scenario that forced a session to oscillate  
among the available address pairs on every exchange; see section 1.4.1  
of the attached for the scenario. They tried kind of "all of the  
above" in terms of endpoint identifier approaches, and they all failed  
with two exceptions, GSE as described by Mike and ILNP. HIP couldn't  
set up the association as it depends on the first few messages getting  
across without the address changing until the HIT is established, and  
this changed them there.

I would support RJA's contentions here; ILNP gets the job done, even  
in the presence of EID duplication in the network.

The BUPT kids will be publishing a paper out of this, assuming they  
can get interest from an appropriate journal.

On Jul 31, 2009, at 4:21 AM, Xu Xiaohu wrote:

> Hi Ran,
>
> If I understand your ILNP correctly, it is much silimar with the  
> GSE.  If so, I'm wondering whether the issues with the GSE described  
> in draft-ietf-ipngwg-esd-analysis  have been successfully solved by  
> the ILNP, e.g., identifier authentication issue. It seems that  the  
> answers to these hard issues have not been mentioned in your slides.
>
> I noticed the following statement in your slides, do you believe  
> that 62-bit field is long enough to prevent the security of the  
> binding of the 62-bit hash value and the public key from being  
> easily compromised once you use the HIP/CGA like ideas to deal with  
> the identifier authentication issue?
>
> *********************************
> If scope bit is local, have 62 bits that can be anything:
> ‣ Cryptographically Generated Identifier (a la CGA proposals)
> ‣ Hash of a public-key (a la HIP)
> ‣ Pseudo-randomly generated (a la IPv6 Privacy AutoConf)
> **********************************
>
> Best regard,
>
> Xiaohu
>
> _______________________________________________
> rrg mailing list
> [email-masked]
> http://www.irtf.org/mailman/listinfo/rrg

---

From: Xu Xiaohu <[email-masked]>
Date: Tue, 04 Aug 2009 12:07:42 +0800

Hi Fred,

Thank you for your information. Hope to see the implementation related paper
soon.

BTW, I like the idea of using GSE to realize NAT66 :)

Xiaohu 

> -----邮件原件-----
> 发件人: Fred Baker [mailto:[email-masked]] 
> 发送时间: 2009年8月3日 18:58
> 收件人: Xu Xiaohu
> 抄送: [email-masked]; 'IRTF RRG'
> 主题: Re: [rrg] Some concerns about ILNP
> 
> (BUPT) do an implementation of GSE using several approaches 
> to this problem, one of which was ILNP. The key thing to the 
> study was an agreed-to-be-weird routing scenario that forced 
> a session to oscillate among the available address pairs on 
> every exchange; see section 1.4.1 of the attached for the 
> scenario. They tried kind of "all of the above" in terms of 
> endpoint identifier approaches, and they all failed with two 
> exceptions, GSE as described by Mike and ILNP. HIP couldn't 
> set up the association as it depends on the first few 
> messages getting across without the address changing until 
> the HIT is established, and this changed them there.
> 
> I would support RJA's contentions here; ILNP gets the job 
> done, even in the presence of EID duplication in the network.
> 
> The BUPT kids will be publishing a paper out of this, 
> assuming they can get interest from an appropriate journal.
> 
>